Activity log for bug #1089291

Date Who What changed Old value New value Message
2012-12-12 10:34:38 William Reade bug added bug
2013-06-15 09:24:10 William Reade juju-core: status New Triaged
2013-06-15 09:24:16 William Reade juju-core: importance Undecided Low
2013-06-15 20:03:53 William Reade juju-core: importance Low High
2013-09-26 10:38:58 Mark Ramm juju-core: milestone 1.16.0
2013-09-28 09:26:13 William Reade summary terminate-machine --force destroy-machine --force
2013-10-02 14:58:54 Ray Wang bug added subscriber Ray Wang
2013-10-03 10:48:27 Mark Ramm juju-core: milestone 1.16.0 2.0
2013-10-11 20:32:39 Curtis Hovey tags canonical-webops
2013-10-12 15:27:42 Curtis Hovey tags canonical-webops canonical-webops destroy-machine
2013-10-14 14:59:59 Curtis Hovey tags canonical-webops destroy-machine canonical-webops destroy-machine theme-oil
2013-11-08 09:13:12 Mark Ramm juju-core: importance High Critical
2013-11-08 09:13:17 Mark Ramm juju-core: milestone 2.0 1.17.0
2013-11-11 08:54:52 Tim Penhey juju-core: assignee William Reade (fwereade)
2013-11-11 08:54:57 Tim Penhey juju-core: status Triaged In Progress
2013-11-11 23:08:48 William Reade branch linked lp:~fwereade/juju-core/api-force-destroy-machines
2013-11-11 23:08:49 William Reade juju-core: milestone 1.17.0 2.0
2013-11-12 16:41:32 Curtis Hovey juju-core: milestone 2.0 1.17.0
2013-11-13 08:32:08 William Reade juju-core: status In Progress Fix Committed
2013-11-13 09:35:29 John A Meinel nominated for series juju-core/1.16
2013-11-13 09:35:29 John A Meinel bug task added juju-core/1.16
2013-11-13 09:36:12 John A Meinel juju-core/1.16: importance Undecided High
2013-11-13 09:36:12 John A Meinel juju-core/1.16: status New In Progress
2013-11-13 09:36:12 John A Meinel juju-core/1.16: assignee William Reade (fwereade)
2013-11-14 10:33:09 William Reade juju-core/1.16: milestone 1.16.4
2013-11-14 10:34:37 William Reade juju-core/1.16: importance High Critical
2013-11-15 14:08:09 William Reade juju-core/1.16: status In Progress Fix Committed
2013-11-17 05:59:52 Matt Rae bug added subscriber Matt Rae
2013-11-18 07:48:14 Nobuto Murata bug added subscriber Nobuto MURATA
2013-11-20 14:45:10 Kapil Thangavelu attachment added dying machine removal script https://bugs.launchpad.net/juju-core/+bug/1089291/+attachment/3913312/+files/mhotfix-machine.py
2013-11-20 14:46:51 Kapil Thangavelu attachment added mdump.py https://bugs.launchpad.net/juju-core/+bug/1089291/+attachment/3913313/+files/mdump.py
2013-12-02 06:11:36 John A Meinel juju-core/1.16: milestone 1.16.4 1.16.5
2013-12-02 06:11:42 John A Meinel juju-core/1.16: status Fix Committed In Progress
2013-12-02 22:09:32 David Britton bug added subscriber David Britton
2013-12-09 00:00:16 Haw Loeung bug added subscriber Canonical WebOps
2013-12-10 04:20:57 John A Meinel juju-core/1.16: status In Progress Fix Committed
2013-12-10 19:58:36 Curtis Hovey juju-core/1.16: status Fix Committed Fix Released
2013-12-13 18:25:54 Curtis Hovey juju-core: importance Critical High
2013-12-20 17:40:09 Curtis Hovey juju-core: status Fix Committed Fix Released
2014-02-06 16:29:11 Ubuntu QA Website tags canonical-webops destroy-machine theme-oil canonical-webops destroy-machine iso-testing theme-oil
2014-02-07 11:59:42 James Page bug task added juju-core (Ubuntu)
2014-02-07 12:01:35 James Page nominated for series Ubuntu Saucy
2014-02-07 12:01:35 James Page bug task added juju-core (Ubuntu Saucy)
2014-02-07 12:01:43 James Page juju-core (Ubuntu): status New Fix Released
2014-02-07 14:03:26 Launchpad Janitor branch linked lp:~james-page/ubuntu/saucy/juju-core/1.16.5
2014-03-25 10:22:46 James Page description Unresponsive machine agents may require that we forcibly set the machine to Dead to allow the provisioning agent to release its instance. see also lp:1089289 [Impact] Unresponsive machines cannot be removed/destroyed, consuming resourcs. [Test Case] This of course requires a unresponsive machine; however this can be simulated by destroying a machine that is still installing. juju destroy-machine <machineid> # will fail juju destroy-machine --force <machineid> # will succeed [Regression potential] Part of the upstream tested 1.16.6 point release. [Original bug report] Unresponsive machine agents may require that we forcibly set the machine to Dead to allow the provisioning agent to release its instance. see also lp:1089289
2014-12-05 07:02:40 Rolf Leggewie juju-core (Ubuntu Saucy): status New Won't Fix